OpenJPH: ojph::local::frwd_struct32 Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::frwd_struct32 Struct Reference

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams. More...

## Public Attributes
const ui8 * | data
| pointer to bitstream
ui64 | tmp
| temporary buffer of read data
ui32 | bits
| number of bits stored in tmp
ui32 | unstuff
| 1 if a bit needs to be unstuffed from next byte
int | size
| size of data

## Detailed Description

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams.

Definition at line 581 of file ojph_block_decoder32.cpp.

## Member Data Documentation

## ◆ bits

ui32 ojph::local::frwd_struct32::bits

number of bits stored in tmp

Definition at line 584 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::frwd_advance(), ojph::local::frwd_fetch(), ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ data

const ui8* ojph::local::frwd_struct32::data

pointer to bitstream

Definition at line 582 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ size

int ojph::local::frwd_struct32::size

size of data

Definition at line 586 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ tmp

ui64 ojph::local::frwd_struct32::tmp

temporary buffer of read data

Definition at line 583 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::frwd_advance(), ojph::local::frwd_fetch(), ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ unstuff

ui32 ojph::local::frwd_struct32::unstuff

1 if a bit needs to be unstuffed from next byte

Definition at line 585 of file ojph_block_decoder32.cpp.

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_decoder32.cpp